Subject: bug#60464: 29.0.60; Regression - pcomplete-arg fails with argument 'last

From: Gregory Heytings <[email-masked]>
Date: Sun, 01 Jan 2023 11:35:27 +0000

>
> Okay, I wasn't sure if my other mail got lost. Anyway I wanted to attach 
> the additional stack trace. The problem occurs only if 'last is passed, 
> therefore the issue probably doesn't occur for `ls *.el SPC TAB`.
>

It also occurs if 'first is passed, in fact.  Try '$exec-path SPC TAB'.

>
> You may want to try my Corfu completion UI for testing, even if you 
> don't like popups for completion or auto completion. It is helpful for 
> debugging since the UI asks the completion table for completions very 
> often, in particular if one configures overly aggressive settings (not 
> recommended for real usage):
>

As I said in bug#59956 and bug#60021, I don't use Eshell, so I don't think 
using another completion UI would have helped.  That's why I asked for 
feedback, Jim and you both tried the patch and did not report problems.